decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## remove_config()

def fhs.remove_config | ( |  | name = `None`,
|  |  | dir = `False`,
|  |  | packagename = `None`
| ) |  |

Remove a config file.

Use the same parameters as were used to create it with write_config().

Parameters

  name | The file to remove.
  dir | If True, remove a directory. If False (the default), remove a file.
  packagename | Override the packagename.

Returns
  None.

Definition at line 247 of file fhs.py.

Here is the call graph for this function: